yv6eda
Posts: 4
Joined: Thu Mar 10, 2016 4:00 am

Updates for this repository will not be applied

Thu Sep 16, 2021 9:12 pm

Hello! I'm a rocky here.
I'm running Raspberry Pi OS and today I tried to run -sudo apt-get update- and I received three times -Updates for this repository will not be applied-.
I then try -sudo apt update- and received the same.
Please help! Thanks in advance!
Jorge

User avatar
rpdom
Posts: 19156
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: Updates for this repository will not be applied

Thu Sep 16, 2021 11:03 pm

Please post all the output of apt update. There may be information in there that will help us.

Post in [ code] [ /code] tags (without the spaces) so it looks like

Code: Select all

this
as it is easier to read that way.
Unreadable squiggle

yv6eda
Posts: 4
Joined: Thu Mar 10, 2016 4:00 am

Re: Updates for this repository will not be applied

Fri Sep 17, 2021 1:28 am

Thank you @rpdom
Here is:

Code: Select all

pi@pishack:~ $ sudo apt-get update
Get:1 http://packages.microsoft.com/repos/code stable InRelease [10.4 kB]
Get:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]      
Get:3 http://archive.raspberrypi.org/debian buster InRelease [32.7 kB]
Reading package lists... Done      
E: Release file for http://packages.microsoft.com/repos/code/dists/stable/InRelease is not valid yet (invalid for another 197d 2h 16min 27s). Updates for this repository will not be applied.
E: Release file for http://raspbian.raspberrypi.org/raspbian/dists/buster/InRelease is not valid yet (invalid for another 197d 12h 5min 42s). Updates for this repository will not be applied.
E: Release file for http://archive.raspberrypi.org/debian/dists/buster/InRelease is not valid yet (invalid for another 197d 2h 27min 27s). Updates for this repository will not be applied.
pi@pishack:~ $ 

Cloudcentric
Posts: 1277
Joined: Fri Sep 14, 2012 9:13 am

Re: Updates for this repository will not be applied

Fri Sep 17, 2021 1:56 am

yv6eda wrote:
Fri Sep 17, 2021 1:28 am
Thank you @rpdom
Here is:

Code: Select all

pi@pishack:~ $ sudo apt-get update
Get:1 http://packages.microsoft.com/repos/code stable InRelease [10.4 kB]
Get:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]      
Get:3 http://archive.raspberrypi.org/debian buster InRelease [32.7 kB]
Reading package lists... Done      
E: Release file for http://packages.microsoft.com/repos/code/dists/stable/InRelease is not valid yet (invalid for another 197d 2h 16min 27s). Updates for this repository will not be applied.
E: Release file for http://raspbian.raspberrypi.org/raspbian/dists/buster/InRelease is not valid yet (invalid for another 197d 12h 5min 42s). Updates for this repository will not be applied.
E: Release file for http://archive.raspberrypi.org/debian/dists/buster/InRelease is not valid yet (invalid for another 197d 2h 27min 27s). Updates for this repository will not be applied.
pi@pishack:~ $ 

It would appear your date / time is not correct :?

When you set this correctly:

Code: Select all

sudo apt update
sudo apt full-upgrade
sudo reboot
.
.

Return to “Raspberry Pi OS”